Generation Framework

## org.eclipse.gmf.codegen.util
Class Generator

    java.lang.Object
      org.eclipse.gmf.internal.common.codegen.GeneratorBase
          org.eclipse.gmf.codegen.util.Generator

All Implemented Interfaces:
  java.lang.Runnable

public class Generator
extends org.eclipse.gmf.internal.common.codegen.GeneratorBase
implements java.lang.Runnable

Invokes JET templates to populate diagram editor project.

Constructor Summary
`Generator(GenEditorGenerator genModel)`

Method Summary
`protected void` `customRun()`
`protected java.net.URL` `getJMergeControlFile()`
`protected void` `setupProgressMonitor()`

Methods inherited from class org.eclipse.gmf.internal.common.codegen.GeneratorBase
`contains, doGenerateBinaryFile, doGenerateFile, doGenerateJavaClass, doGenerateJavaClass, formatCode, getDestProject, getNextStepMonitor, getProgress, getRunStatus, guessNewProjectLocation, handleException, handleException, handleException, handleUnexpected, initializeEditorProject, initializeEditorProject, mergeJavaCode, newStatus, newStatus, run, run, setProgressMonitor, setupProgressMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### Generator

    public Generator(GenEditorGenerator genModel)

Method Detail

### getJMergeControlFile

    protected java.net.URL getJMergeControlFile()

### customRun

    protected void customRun()
                      throws java.lang.InterruptedException,
                             UnexpectedBehaviourException

  Throws:
    `java.lang.InterruptedException`
    `UnexpectedBehaviourException`

### setupProgressMonitor

    protected void setupProgressMonitor()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.